# Remove from Batch

Should you need to remove any `shipment_ids` or `rate_ids` from a batch before [processing the batch](/apis/shipengine/docs/reference/process-batch), you can do so.

If you are new to batches in ShipStation API, be sure to read the [Label Batches](/apis/shipengine/docs/labels/bulk) overview first.

## Requirements

* The `batch_id` of the batch with the shipment you want to remove.
* The `shipment_ids` and/or `rate_ids` you wish to remove from the batch.


## Example Request

**POST /v1/batches/:batch_id/remove**


```http
POST /v1/batches/se-1010644/remove HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "shipment_ids": [
    "se-2102769"
  ],
  "rate_ids": []
}
```

If successful, ShipStation API will respond with **HTTP Status 204, (No Content)**.